/*
 * Copyright 2024 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef ONDEVICEVISIONENGINE_H
#define ONDEVICEVISIONENGINE_H

#include "visionengine.h"

namespace ai_engine {
namespace vision {

class AbstractOnDeviceVisionEngine : public AbstractVisionEngine {
public:
    virtual ~AbstractOnDeviceVisionEngine() {}
    bool isCloud() const override final { return false; }

    virtual std::string modelInfo() const = 0;
    virtual bool initPrompt2ImageModule(EngineError &error) {return false;};
    virtual bool destroyPrompt2ImageModule(EngineError &error) {return false;};
};

}  // namespace vision
}  // namespace ai_engine

#endif